<section class="summary-container">
    <h4>Order Summary</h4>
    <div class="amt-details">
        <span class="amt-left">Sub total</span>
        <span class="amt-right">SAR {{totalPrice.value.toFixed(2)}}</span>
    </div>
    <div class="amt-details">
        <span class="amt-left">Tax</span>
        <span class="amt-right">SAR 0.00</span>
    </div>
    <div class="amt-details total">
        <span class="amt-left">Total</span>
        <span class="amt-right">SAR {{totalPrice.value.toFixed(2)}}</span>
    </div>
    <div *ngIf="isCart" class="checkout-btn">
        <button mat-raised-button class="primary-btn" routerLink = '/checkout'>
            Proceed To Checkout
          </button>
    </div>
      <div *ngIf="isCart">
        <app-cart-coupon-molecule></app-cart-coupon-molecule>
      </div>
</section>